<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package insidect
 */
/*page option*/
$pid = get_queried_object_id();
$cr_display = (function_exists('fw_get_db_post_option')) ? fw_get_db_post_option($pid, 'p_copyright') : 'default';
$copyright = get_theme_mod('c_copyright', '&copy; 2018 Insidect. All Rights Reserved.');
$copyright_links = get_theme_mod('c_social_links');

?> 

		</div><!-- #content -->

		<footer id="colophon" class="site-footer"  >
			<?php insidect_footer_edit_location('footer');/*footer edit location*/ ?>
			<?php insidect_footer_display();?>
			
			<?php if($cr_display != 'disable'):/*page disable copyright*/ ?>
				<?php if(!empty($copyright)): ?>
				<div class="site-copyright">
					<div class="container">
						<span>
							<?php echo wp_kses($copyright, array('a'=>array('href'=>array(), 'target'=>array()))); ?>
						</span>
						<div class="site-links">
							<?php echo wp_kses($copyright_links, array('a'=>array('href'=>array(), 'target'=>array(),'class'=>array()))); ?>
						</div>
					</div><!-- .site-info -->
				</div>
				<?php endif; ?>	
			<?php endif; ?>
		</footer><!-- #colophon -->
	</div><!-- #page -->
			
<span class="scroll-to-top ion-ios-arrow-up" title="<?php esc_attr_e('Scroll To Top', 'insidect'); ?>"></span>
<?php wp_footer(); ?>

</body>
</html>
