<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }
$options = array(
    'pf-gallery' => array(
        'type' => 'box',
        'title' => esc_html__( 'Gallery', 'insidect' ),
        'options' => array(
            'gallery' => array(
                'type' => 'multi-upload',
                'label' => false,
                'desc' => esc_html__( 'Gallery Images', 'insidect' )
            )
        )
    ),
    'pf-audio' => array(
        'type' => 'box',
        'title' => esc_html__( 'Audio', 'insidect' ),
        'options' => array(
            'audio' => array(
                'type' => 'textarea',
                'label' => false,
                'desc' => esc_html__( 'Paste the embed code from SoundCloud here.', 'insidect' )
            )
        )
    ),
    'pf-quote' => array(
        'type' => 'box',
        'title' => esc_html__( 'Quote', 'insidect' ),
        'options' => array(
            'quote' => array(
                'type' => 'textarea',
                'label' => false,
                'desc' => esc_html__( 'You can use tags: del, span, strong', 'insidect' ),
            ),
        )
    ),
    'pf-video' => array(
        'type' => 'box',
        'title' => esc_html__( 'Video', 'insidect' ),
        'options' => array(
            'data_video_type' => array(
                'label'   => esc_html__('Video type', 'insidect'),
                'desc'   => esc_html__('Support Youtube and Vimeo', 'insidect'),
                'type'    => 'short-select',
                'choices' => array(
                    'youtube' => esc_html__('Youtube', 'insidect'),
                    'vimeo' => esc_html__('Vimeo', 'insidect'),
                ),
                'value' => 'vimeo'
            ),
            'data_video' => array(
                'label'   => esc_html__('Video url', 'insidect'),
                'desc'   => wp_kses_post('Enter url of video.<br>Ex: https://vimeo.com/<b>139450138</b><br>https://www.youtube.com/watch?v=<b>f0halO_QpGQ</b>', 'insidect'),
                'type'    => 'text',
                'value' => '139450138'
            ),
        )
    ),
    'pf-link' => array(
        'type' => 'box',
        'title' => esc_html__( 'Link', 'insidect' ),
        'options' => array(
            'data_link' => array(
                'type' => 'text',
                'label' => false,
                'desc' => esc_html__( 'Link here', 'insidect' ),
            ),
        )
    ),
);