<?php
Insidect_Kirki::add_section( 'c_general', array(
 	'title'      => esc_attr__( 'General', 'insidect' ),
 	'capability' => 'edit_theme_options',
) );

/*header layout*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'select',
	'settings'  => 'header_layout_cfg',
	'label'     => esc_attr__( 'Header Layout', 'insidect' ),
	'section'   => 'c_general',
	'default'   => 'layout-2',
	'description' => esc_attr__('Choose Header Preset Select your main header preset here to apply pages', 'insidect'),
	'choices' => array(
		'layout-1' => esc_attr__('Layout 1', 'insidect'),
		'layout-2' => esc_attr__('Layout 2', 'insidect'),
		'layout-3' => esc_attr__('Layout 3', 'insidect'),
		'layout-4' => esc_attr__('Layout 4', 'insidect'),
	)
));

/*logo image*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'image',
	'settings'  => 'logo_img',
	'label'     => esc_attr__( 'Logo image', 'insidect' ),
	'description' => esc_attr__('Select logo image your website', 'insidect'),
	'section'   => 'c_general',
));

/* contact*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'code',
	'settings'  => 'contact',
	'label'     => esc_attr__( 'Contact', 'insidect' ),
	'section'   => 'c_general',
	'choices'     => array(
		'language' => 'html',
	),
));

/* contact*/
Insidect_Kirki::add_field( 'insidect', array(
	'type'      => 'code',
	'settings'  => 'translation',
	'label'     => esc_attr__( 'Translation', 'insidect' ),
	'section'   => 'c_general',
	'choices'     => array(
		'language' => 'html',
	),
	'default'   => '<div class="translation"><a href="" class="active">EN</a><a href="">FR</a></div>',
));