<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
/**
 * Include static files: javascript and css
 */

if ( is_admin() ) {
	return;
}
// Load our main stylesheet.
wp_enqueue_style(
	'insidect-theme-style',
	get_stylesheet_uri(),
	array(),
	'1.0'
);

/**
 * Enqueue scripts
 */
wp_enqueue_script(
	'insidect-navigation',
	get_template_directory_uri() . '/js/navigation.js',
	array( 'jquery' ),
	'1.0',
	true
);

/**
 * Enqueue scripts
 */
wp_enqueue_script(
	'jquery-dropkick',
	get_template_directory_uri() . '/js/dropkick.min.js',
	array( 'jquery' ),
	'',
	true
);
wp_enqueue_script(
	'jquery-isotope',
	get_template_directory_uri() . '/js/isotope.min.js',
	array( 'jquery' ),
	'3.0.5',
	true
);
wp_enqueue_script(
	'jquery-plyr',
	get_template_directory_uri() . '/js/plyr.min.js',
	array( 'jquery' ),
	'2.0.11',
	true
);
wp_enqueue_script(
	'jquery-slick',
	get_template_directory_uri() . '/js/slick.min.js',
	array( 'jquery' ),
	'1.6.0',
	true
);
wp_enqueue_script( 
	'jquery-enquire',
	get_template_directory_uri() . '/js/enquire.min.js',
	array(), 
	'2.1.6', 
	true 
);
wp_enqueue_script(
	'jquery-slimmenu',
	get_template_directory_uri() . '/js/slimmenu.min.js',
	array( 'jquery' ),
	'',
	true
);
wp_enqueue_script(
	'jquery-fancybox',
	get_template_directory_uri() . '/js/fancybox.min.js',
	array( 'jquery' ),
	'2.1.5',
	true
);
wp_enqueue_script(
	'jquery-viewport',
	get_template_directory_uri() . '/js/viewport.min.js',
	array( 'jquery' ),
	'',
	true
);

/**
 * Enqueue js custom
 */
wp_enqueue_script(
	'insidect-custom',
	get_template_directory_uri() . '/js/custom.js',
	array( 'jquery' ),
	'1.0',
	true
);

