<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }
echo wp_kses_post($before_widget);
echo wp_kses_post($title);
$query = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$number);
if( $query->have_posts() ):
    echo '<ul class="list-courses list-unstyled">';
        while($query->have_posts()): $query->the_post(); ?>
            <li class="media recent-news">
                <div class="media-left">
                    <?php
                    if( has_post_thumbnail() ):
                        echo '<a href="'.get_permalink().'">';
                        the_post_thumbnail( 'post-thumbnail', array() );
                        echo '</a>';
                    else:
                        echo '<a href="'.get_permalink().'">';
                        echo '<img src="'.get_template_directory_uri().'/images/post-thumbnail-df.png" alt="'.get_the_title().'">';
                        echo '</a>';
                    endif;
                    ?>
                    </a>
                </div>
                <div class="media-body">
                    <h6 class="post-meta">
                        <a href="<?php the_permalink(); ?>" class="date"><?php the_time('F d, Y'); ?></a>
                        <a href="<?php comments_link(); ?>" class="likes"><i class="ion-heart"></i>69</a>
                    </h6>
                    <h5 class="post-title"><?php the_title(); ?></h5>
                </div>
            </li>
        <?php
        endwhile;
    echo '</ul>';
endif;
wp_reset_postdata();
echo wp_kses_post($after_widget);