<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

/**
 * @var $number
 * @var $before_widget
 * @var $after_widget
 * @var $title
 * @var $imagelink
 */

echo wp_kses_post($before_widget);
echo wp_kses_post($title);
$query = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$number);
$recent = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$number.'&orderby=comment_count');
$first_pop = true;
$first_rec = true;
?>
<div class="widget-top-stories-wrapper">
<ul class="nav-tabs">
    <li class="active" data-tab="#popular-stories"><?php echo esc_html__('POPULAR','insidect'); ?></li>
    <li data-tab="#recent-stories"><?php echo esc_html__('RECENT','insidect'); ?></li>
</ul>

<div class="tab-content">
    <div id="popular-stories" class="tab-pane active">
        <?php
        if( $recent->have_posts() ):
            echo '<ul class="list-top-stories">';
                while($recent->have_posts()): $recent->the_post(); ?>
                    <li class="post-title">
                        <?php if ( $first_pop ):  ?>
                            <?php the_post_thumbnail('insidect-widget-square'); ?>
                        <?php $first_pop = false; ?>
                        <?php endif; ?>
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </li>
                <?php
                endwhile;
            echo '</ul>';
        endif;
        ?>
    </div>
    <div id="recent-stories" class="tab-pane">
         <?php
        if( $query->have_posts() ):
            echo '<ul class="list-top-stories">';
                while($query->have_posts()): $query->the_post(); ?>
                    <li class="post-title">
                        <?php if ( $first_rec ):  ?>
                            <?php the_post_thumbnail('insidect-widget-square'); ?>
                        <?php $first_rec = false; ?>
                        <?php endif; ?>
                        <?php echo '<a href="'.get_permalink().'">'; ?>
                        <?php the_title(); ?>
                        <?php echo '</a>'; ?>
                    </li>
                <?php
                endwhile;
            echo '</ul>';
        endif;
        ?>
    </div>
</div>
</div>
<?php
wp_reset_postdata();
echo wp_kses_post($after_widget);