<?php
/**
 *	Template Name: Blog Grid
 */
get_header(); ?>
<main id="main" class="page_content blog-grid-sb flw">
	<div class="container">
		<div class="row">
			<div class="col-md-8 blog-grid-flex">
				<?php
					$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
					$query = new WP_Query(array(
						'post_type' => 'post',
						'post_status' => 'publish',				
						'post__not_in' => get_option( 'sticky_posts'),
						'paged' => $paged,
						'showposts' => 6,
					));
					if ($query->have_posts()) :
						echo '<div class="row">';
						while ($query->have_posts() ) : $query->the_post();
							get_template_part( 'template-parts/content',get_post_format() );
						endwhile;		
						echo '</div>';
						// pagination
						insidect_paging_nav($query);
					else :
						get_template_part( 'content', 'none' );
					endif;
					wp_reset_postdata(); ?>
			</div>
			<div class="col-md-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>
<?php get_footer(); ?>