<?php
/**
 *	Template Name: Blog Large list
 */
get_header(); ?>
<main id="main" class="page_content blog-list-sb blog-large flw">
	<div class="container">
		<div class="row">
			<div class="col-md-8 blog-list-flex">
				<?php
					$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
					$query = new WP_Query(array(
						'post_type' => 'post',
						'post_status' => 'publish',
						'paged' => $paged,
						'showposts' => 4,
					));
					if ($query->have_posts()) :
						
						while ($query->have_posts() ) : $query->the_post();

							get_template_part( 'template-parts/content',get_post_format() );

						endwhile;		
						// pagination
						insidect_paging_nav($query);
					else :
						get_template_part( 'content', 'none' );
					endif;
					wp_reset_postdata(); ?>
			</div>
			<div class="col-md-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>
<?php get_footer(); ?>