<?php
/**
 * The header layout 1
 */
/*hide bread crumbs when install theme*/
$hide = '';
if(!function_exists('FW')){
    $hide = 'bread-hide';
}
$contact = get_theme_mod('contact');
?>
<header id="masthead" class="site-header header-layout-1 <?php echo esc_attr($hide); ?>" itemscope itemtype="http://schema.org/WPHeader">
	<div class="theme-header flw">
		<div class="nav-wrap">
			<div class="container">
				<div class="nav-wrap-content">
					<div class="site-branding">
						<?php insidect_logo_image(); ?>
					</div><!-- .site-branding -->
					<div class="site-contact contact-1">
						<?php echo wp_kses_post($contact); ?>
					</div><!-- .site-contact -->
					<button class="btn-menu-toggle menu-toggle-1">
						<i class="icon ion-android-menu"></i>
					</button><!-- .btn-menu-toggle -->
				</div>
			</div>
		</div>
		<?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
	</div>
	<nav id="full-screen-menu" class="full-screen-menu">
		<?php wp_nav_menu( array( 'theme_location' => 'secondary', 'menu_id' => 'secondary-menu' ) ); ?>
	</nav><!-- #site-navigation -->
</header><!-- #masthead -->