<?php
/**
 * The header layout 2
 */
/*hide bread crumbs when install theme*/
$hide = '';
if(!function_exists('FW')){
    $hide = 'bread-hide';
}
$contact = get_theme_mod('contact');
$translation = get_theme_mod('translation');
?>
<header id="masthead" class="site-header header-layout-2 <?php echo esc_attr($hide); ?>" itemscope itemtype="http://schema.org/WPHeader">
	<div class="theme-header flw">
		<div class="nav-wrap">
			<div class="nav-wrap-content">
				<div class="contact-info">
					<div class="site-branding">
						<?php insidect_logo_image(); ?>
					</div><!-- .site-branding -->
					<div class="site-contact contact-2"><?php echo wp_kses_post($contact); ?></div><!-- .site-contact -->
				</div>
				<nav id="site-navigation" class="main-navigation">
					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
				</nav><!-- #site-navigation -->
				<div class="right-menu">
					<?php echo wp_kses_post($translation); ?>
				</div>
			</div>
		</div>
		<?php get_template_part('page-templates/page', 'header');/* breadcrumbs */ ?>
	</div>
</header><!-- #masthead -->