<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package insidect
 */

get_header(); ?>
<div class="container">
	<div class="row">
		<section id="primary" class="content-area col-md-8 col-lg-8">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :
			
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
		</section><!-- #primary -->

		<div class="col-md-4 col-lg-4">
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php
get_sidebar();
get_footer();
