<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

global $post;
$sticky = $ignore_sticky_posts == 'yes' ? true : false;
$query = null;   // re-sets query
$temp = $query;  // re-sets query
$args = array(
    'post_type' => 'post',
    'showposts' => $count,
    'ignore_sticky_posts' => $sticky,
    'orderby' => $order_by,
    'order' => $sort_order,
);
$query = new WP_Query();
$query->query( $args );

if ( ! $query ) {
    return;
}

if(empty($count))
    $count = -1;
if($count == 2) {
    $col =  6;
} else {
    $col = 4;
}
$bg = '';
if($thumb == 'no') {
    $bg = 'style="background-color:'.trim($bgc).';"';
}
?>
<?php if( $query->have_posts() ): ?>
        <div class="consult-blog-sc <?php echo esc_attr($blog_style).' '.esc_attr($all_class) ?> flw row">
            <?php
                /*query*/
                
                $query = new WP_Query('post_type=post&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
                while($query->have_posts()): $query->the_post();
                    /*thumbnail id*/
                    $thumbnail_id = get_post_thumbnail_id($post->ID);
                    /*image size*/

                    $thumbnail = wp_get_attachment_image($thumbnail_id, 'insidect-blog-sc' );
            ?>
            
            <article class="blog-news-item col-md-<?php echo esc_attr($col); ?>" itemid="<?php echo get_permalink(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
                <div class="sc-blog-item" itemprop="mainEntityOfPage" <?php echo wp_kses_post($bg); ?>>
                    
                    <span class="screen-reader-text" itemprop="author"><?php the_author(); ?></span>
                    <?php /*thumbnail*/ ?>
                    <?php if($thumb != 'no' && !empty($thumbnail_id)): ?>
                        <div class="sc-blog-image">
                            <a href="<?php the_permalink(); ?>" class="sc-blog-link">
                                <?php  
                                    echo wp_kses ($thumbnail,array(
                                        'img' => array(
                                            'src'=> array(),
                                            'width' => array(),
                                            'height' => array(),
                                            'class' => array(),
                                            'srcset' => array(),
                                            'alt' => array(),
                                        )
                                    ));
                                ?>
                            </a>                        
                        </div>
                    <?php endif; ?>
                    <?php /*blog info*/ ?>
                    <div class="blog-post-info">
                        <!-- Modified date -->
                        <data value="<?php echo esc_attr( get_the_time( 'd-m-Y' ) ); ?>" class="time">
                            <?php if ($blog_style == "consult-blog-style-1") : ?>
                                <span class="date"><?php echo get_the_date('j'); ?></span>
                                <span class="month"><?php echo get_the_date('M'); ?></span>
                                <span class="year"><?php echo get_the_date('Y'); ?></span>
                            <?php else : ?>
                                <?php echo get_the_date('j M Y'); ?>
                            <?php endif; ?>
                        </data>
                        <div class="blog-post-content">
                            <h5 class="post-tit" itemprop="headline"><a itemprop="url" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
                            <div class="post-excerpt">
                                <?php insidect_sc_excerpt(); ?>
                                <?php  if ($blog_style == "consult-blog-style-1") : ?>
                                    <a href="<?php the_permalink(); ?>" class="vc-more-link"><?php echo esc_html__('READ MORE','insidect') ?></a>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                </div>
            </article>
            <?php
                endwhile;
            ?>
        </div>

<?php 
    endif;
    $query = null;
    $query = $temp; // Reset
?>