<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$progressbars = vc_param_group_parse_atts( $atts['progressbar'] );
$arrlength = count($progressbars);
$progress_style = 'style="background-color:'.trim($progress_bgc).';"';
$bar_style = 'style="background-color:'.trim($bar_bgc).';"';
?>
<div class="theme-progress-bars <?php echo esc_attr($all_class) ?>">

<?php for($i = 0; $i < $arrlength; $i++) { ?>
    <div class="progress-wrapper">
        <label><?php echo esc_html($progressbars[$i]["label"]); ?></label>
        <div class="progress" <?php echo wp_kses_post($progress_style); ?> >
            <div class="progress-bar" role="progressbar" aria-valuenow="<?php echo esc_attr( $progressbars[$i]["value"] ) ?>" aria-valuemin="0" aria-valuemax="100" <?php echo wp_kses_post($bar_style); ?>></div>
        </div>
    </div>
<?php } ?>

</div>