<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

if(!empty($gallery_img)):

$gallery = shortcode_atts(array('gallery_img' => 'gallery_img',), $atts );
$images = explode(',',$gallery['gallery_img']);
?>
<div class="theme-gallery <?php echo esc_attr($gallery_style); ?> flw<?php echo esc_attr( $all_class ); ?> ">
	<?php
	foreach ($images as $key => $image) {
		$thumbnail = wp_get_attachment_image_src($image, 'full');
		$larger_img = wp_get_attachment_image_src($image, 'full');
		?>
		<div class="gallery-item">
			<?php if ($gallery_style == 'gallery-multiple-images') : ?>
				<a href="<?php echo esc_url($larger_img[0]) ?>" class="fancybox">
					<img src="<?php echo esc_url($thumbnail[0]) ?>" alt="<?php echo esc_html__('Gallery image', 'insidect') ?>">
					<i class="ion-ios-plus-outline"></i>
				</a>
			<?php else: ?>
				<a href="<?php echo esc_url($larger_img[0]) ?>">
					<img src="<?php echo esc_url($thumbnail[0]) ?>" alt="<?php echo esc_html__('Gallery image', 'insidect') ?>">
				</a>
			<?php endif; ?>
		</div>
		<?php
		}
	?>
</div>
<?php endif; ?>