<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$final_column = '';
if($style == 'grid'){
    $final_column = 'theme-col-' . $column;
}
if($style == 'carousel'){
    $final_column = 'theme-direction-' . $direction;
}


if($count != ''): ?>
    <div class="theme-testi testi-style-<?php echo esc_attr($style . ' ' . $final_column ); ?><?php echo esc_attr($all_class); ?>">
        <?php
            /*query*/
            global $post;
            $query = new WP_Query('post_type=ht-testimonial&post_status=publish&ignore_sticky_posts=true&posts_per_page='.$count);
            if( $query->have_posts() ):
                while($query->have_posts()): $query->the_post();
                /*data*/
                $name = fw_get_db_post_option($post->ID, 'name');
                $position = fw_get_db_post_option($post->ID, 'position');
                $thumbnail = get_the_post_thumbnail_url();
        ?>
        <div class="theme-testi-item theme-col-item" itemscope itemtype="http://schema.org/Person">
            <?php if($style == 'grid' || $direction == 'vertical' ) : ?>
                <span class="icon ion-quote"></span>
            <?php endif; ?>
            <div class="testi-content-wrapper">
                <div class="testi-content" itemprop="description"><?php the_content(); ?></div>
                <div class="testi-user">
                    <?php if( $style == 'grid' && $thumbnail != ''): ?>
                        <div class="testi-img"><img src="<?php echo esc_url($thumbnail); ?>" itemprop="image" alt="<?php esc_attr_e( 'Testi image', 'insidect' ); ?>"></div>
                    <?php endif; ?>
                    <div class="testi-name">
                        <strong itemprop="name"><?php echo esc_html($name); ?></strong>
                        <span  itemprop="jobTitle"> &#47; <?php echo esc_html($position); ?></span>
                    </div>
                </div>
            </div>
        </div>
        <?php
            endwhile;
            endif;
            /*reset query*/
            wp_reset_postdata();
        ?>
    </div>
<?php endif; ?>