<?php if ( ! defined( 'FW' ) ) {
	die( 'Forbidden' );
}
if ( ! empty( $items ) ) : ?>
	<div class="breadcrumbs">
		<?php for ( $i = 0; $i < count( $items ); $i ++ ) : ?>
			<?php if ( $i == ( count( $items ) - 1 ) ) : ?>
				<span class="last-item"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></span>
			<?php elseif ( $i == 0 ) : ?>
				<span class="first-item">
				<?php if( isset( $items[ $i ]['url'] ) ) : ?>
					<a href="<?php echo esc_url($items[ $i ]['url']) ?>"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></a></span>
                <?php else : echo esc_html($items[ $i ]['name']); endif ?>
				<span class="separator">&#47;</span>
			<?php
			else : ?>
				<span class="<?php echo( $i - 1 ) ?>-item">
					<?php if( isset( $items[ $i ]['url'] ) ) : ?>
						<a href="<?php echo esc_url($items[ $i ]['url']) ?>"><?php echo apply_filters( 'the_title', $items[ $i ]['name'] ); ?></a></span>
                	<?php else : echo esc_html($items[ $i ]['name']); endif ?>
				<span class="separator">&#47;</span>
			<?php endif ?>
		<?php endfor ?>
	</div>
<?php
endif ?>