<?php
/**
 *	Template Name: Blog Masonry
 */
get_header(); ?>
<main id="main" class="page_content blog-masonry-sb flw">
	<div class="container">
		<div class="row">
			<?php
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
				$query = new WP_Query(array(
					'post_type' => 'post',
					'post_status' => 'publish',
					'paged' => $paged,
					'showposts' => 6,
					'ignore_sticky_posts' => 1,
				));
				if ($query->have_posts()) :
					?>
					<div class="blog-masonry-grid">
						<?php
							while ($query->have_posts() ) : $query->the_post();
							echo '<div class="col-md-4 blog-masonry-it">';
								get_template_part( 'template-parts/content',get_post_format() );
							echo '</div>';
							endwhile;	
						?>
					</div>
					<?php	
					// pagination
					insidect_paging_nav($query);
				else :
					get_template_part( 'content', 'none' );
				endif;
				wp_reset_postdata(); ?>
		</div>
	</div>
</main>
<?php get_footer(); ?>