<?php
/**
 *  Template Name: Landing page
 */
get_header(); ?>
<div id="primary" class="content-area">
	<main id="main" class="site-main">
		<div class="container">
		<?php
		if(!function_exists('FW')){
			echo '<h2 class="page-title">' . get_the_title() . '</h2>';
		}
		while ( have_posts() ) : the_post();
			$post = get_post();
			if ( $post && preg_match( '/vc_row/', $post->post_content ) ) {
				get_template_part( 'template-parts/content', 'page' );
			} else {
				get_template_part( 'template-parts/content', 'page' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			}

		endwhile; // End of the loop.
		?>
		</div>
	</main><!-- #main -->
</div>
<?php get_footer(); ?>