<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$blocks = vc_param_group_parse_atts( $atts['achievement_block'] );
$arrlength = count($blocks);
?>
<div class="theme-achievement-blocks <?php echo esc_attr($all_class) ?>">
<?php 
	for($i = 0; $i < $arrlength; $i++) {
		$block_data = array();

		if ( ! empty(  $blocks[$i]["position"] ) ) {
			$block_data[] = esc_attr( $blocks[$i]["position"] );
		}
	    if ( ! empty(  $blocks[$i]["layer"] ) ) {
			$block_data[] = 'z-index: ' . esc_attr( $blocks[$i]["layer"] ) . ';';
		}
		if ( ! empty( $blocks[$i]["bgc"] ) ) {
			$block_data[] = 'background-color: ' . esc_attr( $blocks[$i]["bgc"] ) . ';';
		}
    
    	$block_data = 'style="' . implode( ' ', $block_data ) . '"';

    	$align = $blocks[$i]["align"];

    	$n_color = 'style ="color:' .$blocks[$i]["number_color"].';"';
    	$d_color = 'style ="color:' .$blocks[$i]["des_color"].';"';
    	$number = $blocks[$i]["number"];
    	$des = wp_kses_post($blocks[$i]["description"]);

?>
	    <div class="block <?php echo esc_attr($align); ?>" <?php echo wp_kses_post($block_data); ?>>
	    	
	        <h2 <?php echo wp_kses_post($n_color); ?>><?php echo esc_html($number); ?></h2>
	        <div class="description" <?php echo wp_kses_post($d_color); ?>>
	        	<?php echo wpautop($des); ?>
	        </div>
	    </div>
<?php
	}
?>

</div>