<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/*link*/

    $link = vc_build_link( $link );
    $a_href = '#';
    if ( strlen( $link['url'] ) > 0 ) {
        $a_href = $link['url'];
        $a_title = $link['title'];
        $a_target = $link['target'];
        $a_rel = $link['rel'];
    }

    $attributes = array();
    
    $attributes[] = 'href="' . trim( $a_href ) . '"';
	if( ! empty( $a_title )){
        $attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    }
	if ( ! empty( $a_target ) ) {
		$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
	}
	if ( ! empty( $a_rel ) ) {
		$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
	}
    /*extract attributes*/
    $attributes = implode( ' ', $attributes );

    $img = wp_get_attachment_image_src($atts["image"], 'full');

?>

<div class="theme-imagehover <?php echo esc_attr($styles); ?><?php echo esc_attr($all_class); ?>" itemscope itemtype="http://schema.org/Thing">
    <div class="image-wrapper">
    <?php
        if(!empty($image)) :
            echo '<div class="image text-center">';
            if ($styles == "style-1") {
                echo '<a '. $attributes .'>';
                echo '<img itemprop="image" src="' . esc_url($img[0]) . '" alt="' . esc_attr__('Image', 'insidect') . '">';
                echo '</a>';
            } else {
                echo '<img itemprop="image" src="' . esc_url($img[0]) . '" alt="' . esc_attr__('Image', 'insidect') . '">';
            }
            echo '</div>';
        endif;
        /*button*/
        echo '<a ' . $attributes . ' itemprop="name" class="button-link">' . esc_html($btn_text) . '</a>';
    ?>
    </div>
</div>