<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$class_to_filter = '';
$class_to_filter .= vc_shortcode_custom_css_class( $inline_css, ' ' ) . $this->getExtraClass( $class ) . $this->getCSSAnimation( $css_animation );
$all_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

/* Get default values from VC_MAP.*/

$gg_fonts_obj = new Vc_Google_Fonts();
$font_container_obj = new Vc_Font_Container();

$gg_fonts_field_settings = isset( $atts['settings'], $atts['settings']['fields'] ) ? $atts['settings']['fields'] : array();
$gg_fonts_data = strlen( $fonts ) > 0 ? $gg_fonts_obj->_vc_google_fonts_parse_attributes( $gg_fonts_field_settings, $fonts ) : '';
/*subset: i don't know how it works :(*/
$settings = get_option( 'wpb_js_google_fonts_subsets' );
if ( is_array( $settings ) && ! empty( $settings ) ) {
    $subsets = '&subset=' . implode( ',', $settings );
} else {
    $subsets = '';
}
$output = array();
/*generate font style*/
if (!empty( $gg_fonts_data ) && isset( $gg_fonts_data['values'], $gg_fonts_data['values']['font_family'], $gg_fonts_data['values']['font_style'] )){
    /*enqueue google font*/
    wp_enqueue_style( 'insidect-google-fonts' . vc_build_safe_css_class( $gg_fonts_data['values']['font_family'] ), '//fonts.googleapis.com/css?family=' . $gg_fonts_data['values']['font_family'] . $subsets );
    /*google font data*/
    $gg_fonts_family = explode( ':', $gg_fonts_data['values']['font_family'] );
    $output[] = 'font-family:' . $gg_fonts_family[0];
    $gg_fonts_styles = explode( ':', $gg_fonts_data['values']['font_style'] );
    $output[] = 'font-weight:' . $gg_fonts_styles[1];
    $output[] = 'font-style:' . $gg_fonts_styles[2];
}
$font_style = '';     
foreach( $output as $attribute ){           
    $font_style .= $attribute.'; ';
}
$style_heading = esc_attr($font_style).'color:'.esc_attr(trim($heading_color)).'; background-color:'.esc_attr(trim($heading_bgc)).';';
$style_number = 'color:'.esc_attr(trim($number_color)).'; font-size:'.esc_attr($number_fz).'; line-height:'.esc_attr($number_fz).';';

?>


<div class="theme-special-heading <?php echo esc_attr($all_class) ?>">
	<!-- number -->
	<h2 class="number" <?php echo 'style=" '.esc_attr($style_number).'"' ?>>
		<?php echo esc_html($number); ?>
	</h2>

	<!-- heading -->
	<?php 
		// heading
		echo '<'.esc_attr($tag_heading).' class="heading" style="';
		echo wp_kses_post($style_heading); 
		echo '">';
		echo esc_html($heading);
		echo '</'.esc_attr($tag_heading).'>';
	?>

</div>